#ifndef GRAFIKA_H
#define GRAFIKA_H
#include <GL/glut.h>

extern glMouseX, glMouseY;
#define oogAfstand -8.0

void GrafikaKeyboardFunc(void (*keyFunc)(unsigned char k));

void DoenGrafika (int *argc, char *argv[], void (*wysFunksie)(),
  void (*herstel)()=NULL, void (*volgende)()=NULL, int beligting=GL_TRUE);
// DoenGrafika contains the main loop of a program that uses it.
// argc en argv is the command line parameters.
// wysFunksie() must only redraw the image.
// volgende() must only compute the next frame.
// herstel() must reset back to the first frame. Called at startup.

// Applications that just show results, without animating them, should
// therefore have volgende and herstel equal to NULL.

// This approach allows offscreen rederning only to reder the required frames,
// as well as allowing the user the pause any animations.

#endif

